<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <!-- font -->
    <link
      rel="stylesheet"
      href="https://fonts.googleapis.com/css?family=Lato"
    />
    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css"
    />

    <!-- Bootstrap -->
    <link
      rel="stylesheet"
      href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"
    />
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <title>Document</title>
  </head>
  <body onload="onPageLoading()">
    <div class="container">
      <div class="row d-flex align-items-center min-vh-10">
        <div class="col-sm-5 text-center mx-auto my-0 jumbotron">
          <div class="sm-3">
            <h2 class="text-center" id="h1-title">
              Chào mừng đến với Devcamp120
            </h2>
          </div>

          <div>
            <div class="form-group">
              <img src="images/programing.png" id="img-programing" />
            </div>
            <div class="form-group">
              <label id="lbl-message">Message cho bạn 12 tháng tới</label>
              <br />
              <input id="input-message" placeholder="Nhập message ..." />
              <br />
            </div>
            <div class="form-group">
              <button class="btn btn-block btn-info" id="btn-send-message">
                Gửi thông điệp
              </button>
            </div>
            <div class="form-group text-center">
              <div id="div-demo-parent"></div>
              <img
                id="img-like"
                src="images/like-yellow-icon.png"
                style="width: 10%"
              />
            </div>
          </div>
        </div>
      </div>
    </div>
  </body>

  <script>
    "use strict";
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */

    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    $(document).ready(function () {
      onPageLoading();

      $("#btn-send-message").on("click", function () {
        onBtnSendMessageClick();
      });
    });

    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    //event load page
    function onPageLoading() {
      $("#img-like").hide();
    }

    //hàm xử lý sự kiện button
    function onBtnSendMessageClick() {
      //b1: thu thập dữ liệu
      var vMessage = {
        message: "",
      };
      getLoginData(vMessage);

      //b2: kiểm tra dữ liệu
      var vValid = validateLoginData(vMessage);
      if (vValid) {
        //b3: hiển thị console
        showMessage(vMessage);
      }
    }

    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    function getLoginData(paramMessage) {
      paramMessage.message = $("#input-message").val().trim();
    }
    function validateLoginData(paramMessage) {
      if (paramMessage.message == "") {
        alert("Phải nhập vào message");
        $("#input-message").focus();
        return false;
      }
      return true;
    }
    //hàm thực hiện khi click nút login
    function showMessage(paramMessage) {
      console.log("Send message to me");
      console.log("message bạn vừa nhập vào là: " + paramMessage.message);

      var inputMessage = $("#input-message");
      var vNewParagraph = document.createElement("p");
      //tạo text
      var vTextMessage = inputMessage.val();
      var vCreatTextMessage = document.createTextNode(vTextMessage);
      vNewParagraph.appendChild(vCreatTextMessage);
      // Truy xuất phần tử thẻ div - parent (cha)
      var vDivParent = $("#div-demo-parent");
      //đổi màu và gắn phần tử p vào thẻ div
      vNewParagraph.style.color = "blue";
      vDivParent.append(vNewParagraph);
      // Subtask 7: hiển thị bàn tay màu vàng
      // 7.1 truy xuất ảnh bàn tay màu vàng
      var imgLikeYellow = $("#img-like");
      // 7.2: hiển thị ảnh bàn tay lên
      imgLikeYellow.css("text-align", "center").css("width", "10%").show();
    }
  </script>
</html>
